
#include "stm32f4xx_it.h"

/**
  * @brief   This function handles NMI exception.
  * @param  None
  * @retval None
  */
void NMI_Handler(void)
{
}

/**
  * @brief  This function handles Hard Fault exception.
  * @param  None
  * @retval None
  */
void HardFault_Handler(void)
{
  /* Go to infinite loop when Hard Fault exception occurs */
  while (1)
  {
  }
}

/**
  * @brief  This function handles Memory Manage exception.
  * @param  None
  * @retval None
  */
void MemManage_Handler(void)
{
  /* Go to infinite loop when Memory Manage exception occurs */
  while (1)
  {
  }
}

/**
  * @brief  This function handles Bus Fault exception.
  * @param  None
  * @retval None
  */
void BusFault_Handler(void)
{
  /* Go to infinite loop when Bus Fault exception occurs */
  while (1)
  {
  }
}

/**
  * @brief  This function handles Usage Fault exception.
  * @param  None
  * @retval None
  */
void UsageFault_Handler(void)
{
  /* Go to infinite loop when Usage Fault exception occurs */
  while (1)
  {
  }
}

/**
  * @brief  This function handles SVCall exception.
  * @param  None
  * @retval None
  */
void SVC_Handler(void)
{
}

/**
  * @brief  This function handles Debug Monitor exception.
  * @param  None
  * @retval None
  */
void DebugMon_Handler(void)
{
}

/**
  * @brief  This function handles PendSVC exception.
  * @param  None
  * @retval None
  */
void PendSV_Handler(void)
{
}

/**
  * @brief  This function handles SysTick Handler.
  * @param  None
  * @retval None
  */
void SysTick_Handler(void)
{
}

/**
  * @brief  This function handles PPP interrupt request.
  * @param  None
  * @retval None
  */
/*void PPP_IRQHandler(void)
{
}*/

void  EXTI0_IRQHandler(void) {
	uint8_t bitState=GPIO_ReadOutputDataBit(GPIOD, GPIO_Pin_12);
	GPIO_WriteBit(GPIOD, GPIO_Pin_12, 1-bitState);
	ADC_SoftwareStartConv(ADC1);
	EXTI_ClearITPendingBit(EXTI_Line0);
}

void ADC_IRQHandler(void) {
	if(ADC_GetITStatus(ADC1, ADC_IT_EOC) != RESET) {
		uint16_t res = ADC_GetConversionValue(ADC1)>>4;
		DAC_SetChannel1Data(DAC_Align_12b_R, res);
		ADC_ClearITPendingBit(ADC1, ADC_IT_EOC);
	}
}
